% eda12_02
% chisquared distribution

L=1001;
X2min=0;
X2max=10;
DX2=(X2max-X2min)/(L-1);
X2=X2min+DX2*[0:L-1]';

figure(1);
clf;
set(gca,'LineWidth',2);
hold on;
axis( [X2min, X2max, 0, 1] );
for N = [1:5]
    pX2 = chi2pdf(X2,N);
    plot(X2,pX2,'k-','LineWidth',2);
end

